Module jdk.compiler
Package com.sun.source.tree

# Interface BlockTree

All Superinterfaces:
  `StatementTree`, `Tree`

    public interface BlockTree
    extends StatementTree

A tree node for a statement block. For example:

       { }

       { statements }

       static { statements }

See Java Language Specification:
  14.2 Blocks
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`List<? extends StatementTree>` | `getStatements()` | Returns the statements comprising this block.
`boolean` | `isStatic()` | Returns true if and only if this is a static initializer block.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### isStatic

boolean isStatic()
Returns true if and only if this is a static initializer block.

Returns:
  true if this is a static initializer block

### getStatements

List<? extends StatementTree> getStatements()
Returns the statements comprising this block.

Returns:
  the statements